Simple Machines Community Forum

SMF Support => Language Specific Support => Hilfe zu SMF (German) => Topic started by: Tina11 on April 16, 2018, 02:37:00 PM

Title: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: Tina11 on April 16, 2018, 02:37:00 PM
Hallo,

ich möchte in den nächsten Tagen von PHP 5.5.38 auf eine 7er-Version wechseln.
Mein Hoster bietet diese an:

PHP 7.0.25
PHP 7.1.11
PHP 7.2.1

Ist es okay, wenn ich da die 7.2.1 nehme? Läuft die SMF-Version 2.0.15 damit problemlos?
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: albertlast on April 17, 2018, 03:13:08 PM
Würde nicht über 7.1.x gehen.
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: AmaSha on July 17, 2018, 05:36:31 AM
Hallo.

Sorry, dass ich dieses Thema hier noch mal hervorkrame, aber ich muss bei meinem Forum auch noch etwas rumdoktorn...

Mal abgesehen davon, dass ich noch auf 2.0.15 updaten muss, aber ist es sicher (soweit man sicher sein kann), dass SMF 2.0.15 unter PHP 7.0 / 7.1 lauffähig ist? Worauf muss ich bei einem Server-Upgrade achten?

Danke im Voraus für die Antworten.
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: Tina11 on July 17, 2018, 06:25:16 AM
Ich kann da leider nicht mehr weiterhelfen. Ich bin mit meinem Forum vor etwa zwei Monaten zu ElkArte konvertiert, einer Fork des SMF.
Dort läuft es jetzt jedenfalls problemlos mit PHP 7.2.1.  In der Software von beiden Forensysteme gibt es mittlerweile aber einige, zum Teil größere, Unterschiede.
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: AmaSha on July 17, 2018, 06:37:57 AM
Oh, schade...

Nun ja, ich würde gerne weiter mit SMF arbeiten, darum meine Frage. Aber vielleicht kann ja noch jemand anderes was dazu schreiben, bitte.
;)
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: albertlast on July 17, 2018, 10:21:47 AM
ja
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: AmaSha on July 18, 2018, 03:26:16 AM
Hm,

das ist nun nicht die Antwort, die ich erhofft hatte, denn ich weiß nicht, auf welche meiner Fragen Du dich beziehst:

...
Mal abgesehen davon, dass ich noch auf 2.0.15 updaten muss, aber ist es sicher (soweit man sicher sein kann), dass SMF 2.0.15 unter PHP 7.0 / 7.1 lauffähig ist?
...

Ich gehe mal davon aus, dass Du mit Deinem JA lediglich diese Frage beantwortet hast.

Nun gut. Gibt es sonst irgendwelche Tipps, Kniffs, Hintbits die man beachten sollte, wenn man seinen Server auf PHP7 upgradet?

Klar, alles sichern, das ist logisch, aber muss ich unter SMF noch etwas im Vorfeld erledigen, damit die Portierung auf die PHP7-Umgebung reibungslos funktioniert?

Bin für jeden Hinweis dankbar. Danke im Voraus! :)
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: rho_simafo on July 21, 2018, 05:05:59 AM
Ich hab das Forum 2.0.15 zweimal installiert: die öffentlich zugängliche unter PHP 7.1 und eine Testversion zum Ausprobieren von Mods und Einstellungen  unter PHP 7.2.
Beide laufen bisher tadellos.
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: AmaSha on July 23, 2018, 01:41:08 AM
Guten Morgen.

Vielen Dank für die Info, das klingt schon vertrauenserweckend. Aber durch Deine Antwort bin ich überzeugt, dass ich auch eine Testumgebung einrichten sollte, muss ich mal einen meiner alten PCs auf Ubuntu "umrüsten"...

Vielen Dank nochmals.
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: Louis on September 17, 2018, 08:17:45 AM
Offiziell gibt es wohl noch Dinge im Code von 2.0.15, die nicht 7.2-kompatibel sind (ich sage nur: create_function()).
Die Version läuft unter 7.2, allerdings füllt sie dir auch dein Fehlerprotokoll sehr schnell - dafür gibt es aber ein Mod, mit dem genau diese Stellen umgebaut werden:
SMF 2.0.X - PHP 7.2+ Compatibility (https://web-develop.ca/index.php?action=downloads;area=stable_smf_modifications;file=48)

Solange du nicht noch ein anderes Mod mit veraltetem Code im Einsatz hast, sollte das reichen....

Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: Nightwish76 on January 31, 2019, 05:23:40 AM
Offiziell gibt es wohl noch Dinge im Code von 2.0.15, die nicht 7.2-kompatibel sind (ich sage nur: create_function()).
Die Version läuft unter 7.2, allerdings füllt sie dir auch dein Fehlerprotokoll sehr schnell - dafür gibt es aber ein Mod, mit dem genau diese Stellen umgebaut werden:
SMF 2.0.X - PHP 7.2+ Compatibility (https://web-develop.ca/index.php?action=downloads;area=stable_smf_modifications;file=48)

Solange du nicht noch ein anderes Mod mit veraltetem Code im Einsatz hast, sollte das reichen....

--> Wie "installiert" man das nach dem Download und dem entpacken ?
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: Windtänzerin on February 04, 2019, 04:25:43 AM
Hallo zusammen,

vermutlich habe ich das gleiche Problem nach Serverumzug. Kann mir vielleicht jemand bei einer Fehlermeldung helfen, die ich nicht verstehe?

Liebe Grüße
Windtänzerin
SMF 2.0.15
FF 65.0
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: Windtänzerin on February 04, 2019, 05:27:05 AM
Hallo Louis,

Offiziell gibt es wohl noch Dinge im Code von 2.0.15, die nicht 7.2-kompatibel sind (ich sage nur: create_function()).
Die Version läuft unter 7.2, allerdings füllt sie dir auch dein Fehlerprotokoll sehr schnell - dafür gibt es aber ein Mod, mit dem genau diese Stellen umgebaut werden:
SMF 2.0.X - PHP 7.2+ Compatibility (https://web-develop.ca/index.php?action=downloads;area=stable_smf_modifications;file=48)

Solange du nicht noch ein anderes Mod mit veraltetem Code im Einsatz hast, sollte das reichen....

Leider funktionierte das auch mit dem Mod nicht.
Was kann das denn dann noch sein?

Warning: require_once(/webspace/12/58763/xxx.de/forum/Sources/QueryString.php): failed to open stream: No such file or directory in /homepages/40/d4294976647/htdocs/xxx.de/forum/index.php on line 51

Fatal error: require_once(): Failed opening required '/webspace/12/58763xxx.de/forum/Sources/QueryString.php' (include_path='.:/usr/lib/php7.1') in /homepages/40/d4294976647/htdocs/xxx.de/forum/index.php on line 51

Liebe Grüße
Windtänzerin
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: wintstar on February 11, 2019, 03:44:38 PM
Es gibt eine Mod, da läuft 2.0.15 auch unter 7.3.1. Ohne Mods gestest.

https://web-develop.ca/index.php?action=downloads;area=stable_smf_modifications;file=48
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: Nightwish76 on February 11, 2019, 08:35:47 PM
Es gibt eine Mod, da läuft 2.0.15 auch unter 7.3.1. Ohne Mods gestest.

https://web-develop.ca/index.php?action=downloads;area=stable_smf_modifications;file=48

OK...nach dem Download sieht das so aus wie im Anhang. Wie installiert man das dann ?
Title: Re: Läuft die SMF-Version 2.0.15 mit PHP 7.2.1 ?
Post by: wintstar on February 14, 2019, 06:47:24 AM
Geht ganz einfach  :)

Administrator-Center » Paket Manager » Pakete herunterladen

Zip Archiv damit hochladen und den Anweisungen folgen. Sollten Mods installiert sein, kann es vorkommen das dass System bestimmte stellen im Code nicht finden kann. Diese Stellen sind dann rot markiert. Drauf klicken öffnet sich ein Popup. Dann muss man mit einem geeigneten Editor diese Code Einfügungen manuell vornehmen.